[![DOI](https://zenodo.org/badge/3987171.svg)](https://zenodo.org/badge/latestdoi/3987171) 
[![License: MPL 2.0](https://img.shields.io/badge/License-MPL%202.0-brightgreen.svg)](https://opensource.org/licenses/MPL-2.0) 
[![PyPI version](https://badge.fury.io/py/odak.svg)](https://badge.fury.io/py/odak)
[![Inline docs](https://img.shields.io/readthedocs/odak)](https://kunguz.github.io/odak/)

# Odak
Odak (pronounced "O-dac") is the fundamental library for scientific computing in optical sciences, computer graphics and visual perception.
To learn more about what Odak can do to help your design, experimentation and development, consult to our [documentation](https://kunguz.github.io/odak/)!

## Samples

| | | |
|:-------------------------:|:-------------------------:|:-------------------------:|
|<img width="240" src="https://github.com/kunguz/odak/raw/master/media/metameric_varifocal_hologram.gif"> [Metameric Varifocal Computer-Generated Holography](https://github.com/complight/metameric_holography) | <img width="240" src="https://github.com/kunguz/odak/raw/master/media/learned_holographic_light_transport.gif">  [Learned Holographic Light Transport](https://github.com/complight/realistic_holography) | <img width="240" src="https://github.com/kunguz/odak/raw/master/media/phase_shifting_qwp.gif">  [Phase-shifting Trichromat Quadratic Phase Function](https://gist.github.com/kunguz/f9bcd8c72b4ef5e078dfb0a81b6806c5) |

## Getting Started

### Installing
For most recent guidance on installing Odak, please consult to [installation documentation](https://kunguz.github.io/odak/odak/installation/).
Odak can be installed using [pip](https://pypi.org/project/pip):

```bash
pip3 install git+https://github.com/kunguz/odak
```

or:

```bash
pip3 install odak
```

### Usage
You can import Odak and start designing your next in Optics, Computer Graphics or Perception! 
We prepared a [documentation](https://kunguz.github.io/odak) on usage and much more.

